UnicodeEncodeError

Issue #426 invalid
ygaid
created an issue

Hi everyone,

When il launch pip install rpy2 on anaconda prompt, there is a problem of encoding i search on google and here how can i fix it but i didn't resolve the problem

The error message is :

Exception:
Traceback (most recent call last):
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 73, in console_to_str
    return s.decode(sys.__stdout__.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xcf in position 11: invalid continuation byte

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\basecommand.py", line 215, in main
    status = self.run(options, args)
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\commands\install.py", line 335, in run
    wb.build(autobuilding=True)
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\wheel.py", line 749, in build
    self.requirement_set.prepare_files(self.finder)
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\req\req_set.py", line 380, in prepare_files
    ignore_dependencies=self.ignore_dependencies))
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\req\req_set.py", line 634, in _prepare_file
    abstract_dist.prep_for_dist()
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\req\req_set.py", line 129, in prep_for_dist
    self.req_to_install.run_egg_info()
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\req\req_install.py", line 439, in run_egg_info
    command_desc='python setup.py egg_info')
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\utils\__init__.py", line 676, in call_subprocess
    line = console_to_str(proc.stdout.readline())
  File "C:\Users\GAÏD\Anaconda3\lib\site-packages\pip\compat\__init__.py", line 75, in console_to_str
    return s.decode('utf_8')
UnicodeDecodeError: 'utf-8' codec can't decode byte 0xcf in position 11: invalid continuation byte

If someone know this type of error and how can i solve it

thank's for your help ! :) i've R3.3.2 and Anaconda 3.6

Comments (2)

  1. Laurent Gautier

    From the Traceback output rpy2's code is not involved in any way. I'd recommend to report the issue to the ananconda, or may be pip, projects.

    Feel free to reopen when more hints that this might be caused by rpy2's code.

  2. Log in to comment